Java Maven Versiyon Hatası

Netbeans ile maven projesi geliştirirken aşağıdaki gibi bir hata aldım:

Failed to execute goal pl.project13.maven:git-commit-id-plugin:2.1.15:revision (default) on project otp: The plugin pl.project13.maven:git-commit-id-plugin:2.1.15 requires Maven version [3.1.1,)

Hatayı çözebilmek için öncelikle maven sürümünüzü 3.1.1 e yükesltiyoruz yada bilgisayarımızda kurulu olan maven sürümünü kaldırıp maven 3.1.1 kuruyoruz.
Bunu kurduktan sonra tekrar netbeans de projeyi çalıştırdığınızda hatayı almaya devam ediyorsanız öncelikle netbeans menülerinden Tools menüsünden Options seçiyoruz.

Açılan bölümde Javayı sonra da maven seçip maven için son yüklediğimiz 3.1.1’i seçip uygula diyoruz ve sorun çözülüyor.

Erman Ağ Geliştirici on 15 Şubat 2017 yazdı
Yorum Ekle
  • 0 Yanıt(lar)
  • Yanıtınız

    Cevabınızı göndererek Gizlilik Politikası ve Hizmet Şartlarını kabul ediyorsunuz.